Skip to content
vocapable.Docs

Change the contact-center integration settings (owner)

PUT
/v1/workspace/contact-center/integrations/settings
curl --request PUT \
--url https://api.vocapable.com/v1/workspace/contact-center/integrations/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "expected_revision": 1, "assist_enabled": true, "pci_max_pause_seconds": 1, "cti_screen_pop": true, "cti_call_log": true }'
Media typeapplication/json
CcIntegrationSettingsUpdate

Owner only. expected_revision 0 = the settings were never saved.

object
expected_revision
required
Expected Revision
integer
assist_enabled
Any of:
boolean
pci_max_pause_seconds
Any of:
integer
>= 60 <= 900
cti_screen_pop
Any of:
boolean
cti_call_log
Any of:
boolean
Examplegenerated
{
"expected_revision": 1,
"assist_enabled": true,
"pci_max_pause_seconds": 1,
"cti_screen_pop": true,
"cti_call_log": true
}

Successful Response

Media typeapplication/json
CcIntegrationSettings
object
switches
required
CcIntegrationSwitches

What staff turned on for this company (the contact_center_* switches).

object
cti
required
Cti
boolean
pci
required
Pci
boolean
assist
required
Assist
boolean
assist_enabled
required
Assist Enabled
boolean
assist_enabled_at
required
Any of:
string format: date-time
assist_enabled_by
required
Any of:
WorkspacePersonRef

A teammate named on a record: the id the server holds and the name to show.

object
user_id
required
User Id
string
name
required
Name
string
pci_max_pause_seconds
required
Pci Max Pause Seconds
integer
cti_screen_pop
required
Cti Screen Pop
boolean
cti_call_log
required
Cti Call Log
boolean
assist_latency_budget_ms
required
Assist Latency Budget Ms
integer
revision
required
Revision
integer
Examplegenerated
{
"switches": {
"cti": true,
"pci": true,
"assist": true
},
"assist_enabled": true,
"assist_enabled_at": "2026-04-15T12:00:00Z",
"assist_enabled_by": {
"user_id": "example",
"name": "example"
},
"pci_max_pause_seconds": 1,
"cti_screen_pop": true,
"cti_call_log": true,
"assist_latency_budget_ms": 1,
"revision": 1
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}